%define ver 2.7
%define rel alt1

Name: mount.app
Version: %ver
Release: %rel

Summary: A Window Maker dock app which simplifies managing mountable devices
License: GPL
Group:  Graphical desktop/Window Maker
URL: http://mountapp.sourceforge.net

Source: %url/mountapp-%ver.tar.gz
Source1: %name.menu

# Automatically added by buildreq on Tue Oct 22 2002 and filtered by raorn ;-)
BuildRequires: XFree86-devel XFree86-utils coreutils eject glib-devel gtk+-devel libPropList-devel libjpeg-devel libtiff-devel xpm-devel zlib-devel

%description
This is a Window Maker dock app which allows you to browse all your mount
points and to mount/unmount devices in a simple point and click manner.

%prep
%setup -n mountapp-%ver

%build
%configure --prefix=%_x11dir --bindir=%_x11bindir --datadir=%_x11datadir
%make_build

%install
%makeinstall bindir=%buildroot%_x11bindir datadir=%buildroot%_x11datadir
%__install -p -D -m644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%doc TODO README INSTALL THANKS AUTHORS COPYING NEWS ChangeLog SMB-Notes
%_x11bindir/*
%_menudir/%name
%dir %_x11datadir/%name
%_x11datadir/%name/*

%changelog
* Tue Oct 22 2002 Sir Raorn <raorn@altlinux.ru> 2.7-alt1
- [2.7]
- Updated BuildRequires

* Thu Jan 10 2002 Sir Raorn <raorn@altlinux.ru> 2.6-alt2
- BuildRequires tag (But why?)

* Mon Dec 24 2001 Sir Raorn <raorn@altlinux.ru> 2.6-alt1
- Built for Sisyphus

